/* $Id: thread_none.cpp 13417 2008-06-08 15:27:57Z rubidium $ */

/** @file thread_none.cpp No-Threads-Available implementation of Threads */

#include "stdafx.h"
#include "thread.h"
#include "fiber.hpp"

/* static */ ThreadObject *ThreadObject::New(OTTDThreadFunc proc, void *param)
{
	return NULL;
}

/* static */ ThreadObject *ThreadObject::AttachCurrent()
{
	return NULL;
}

/* static */ uint ThreadObject::CurrentId()
{
	return -1;
}

/* static */ ThreadSemaphore *ThreadSemaphore::New()
{
	return NULL;
}

/* static */ Fiber *Fiber::New(FiberFunc proc, void *param)
{
	return NULL;
}

/* static */ Fiber *Fiber::AttachCurrent(void *param)
{
	return NULL;
}

/* static */ void *Fiber::GetCurrentFiberData()
{
	return NULL;
}
